image: docker.io/mcoywalter/sampling
# was python:3.9

stages:
  - test

test:
  stage: test
  script:
    - python3 -m pytest --cov=sampling test
    - coverage html
  coverage: '/TOTAL.+ ([0-9]+\.[0-9]+%)/'
  artifacts:
    paths:
      - htmlcov/
